@use '@angular/material' as mat;
@import "variables";

// This make the app cover the whole screen at all times
mat-sidenav-container {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

mat-sidenav {
  width: 240px;
}

.logo-toolbar {
  background-color: transparent;

  .main-logo {
    width: 115px;
    cursor: pointer;
  }
}

.sub-items {
  display: none;

  @media (max-width: $tablet - 1) {
    display: flex;
    margin-left: 24px;
    max-width: calc(100% - 24px);
  }
}

.overflow {
  text-overflow: ellipsis;
  overflow: hidden;
  max-height: 40px;
  line-height: 1.11111;
  font-size: 18px;
  font-weight: 600;
}

.down-caret {
  transform: scale(1, 0.5);
  margin-left: 8px;
}

.org-dropdown,
.no-org-create {
  width: 100%;
  height: 48px;
  border-radius: 0px;
  padding: 0 16px;
  display: flex;
  justify-content: left;
}

.org-dropdown {
  ::ng-deep .mdc-button__label {
    width: 100%;
  }

  .label-container {
    display: inline-flex;
    text-align: left;
    width: 100%;
    align-items: center;
    justify-content: space-between;
  }
}

.no-org-create {
  font-weight: 500;
}

.org-details-divider {
  margin: 10px 0;
}

.nav-link-list {
  padding-top: 0px;
}

.subdued {
  color: mat.get-color-from-palette(mat.$gray-palette, 700);
  font-weight: 300;
}

.nagware {
  margin: 10px;
  font-size: 0.8em;

  h3 {
    font-size: 0.8em;
    margin: 0 0 0.5em 0;
  }

  button {
    position: absolute;
    top: 0;
    right: 0;
    appearance: none;
    background: transparent;
    border: 0;
    border-radius: 0;
    margin: 0;
    padding: 5px;
  }

  ul {
    padding-left: 15px;
  }

  li {
    padding-left: 0;
  }

  mat-icon {
    font-size: 20px;
  }
}
